### Class

# FwupdPlugin MsgpackItem

#### Description

    final class FwupdPlugin.MsgpackItem : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_msgpack_item_new_array

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_binary

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_binary_stream

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_boolean

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_float

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_integer

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_map

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_nil

Creates a new msgpack item.

since: 2.0.0

###### fu_msgpack_item_new_string

Creates a new msgpack item.

since: 2.0.0

#### Functions

###### fu_msgpack_item_kind_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_msgpack_item_get_array

Reads the number of items in the array.

since: 2.0.0

###### fu_msgpack_item_get_binary

Reads a value from the item.

since: 2.0.0

###### fu_msgpack_item_get_boolean

Reads a value from the item.

since: 2.0.0

###### fu_msgpack_item_get_float

Reads a value from the item.

since: 2.0.0

###### fu_msgpack_item_get_integer

Reads a value from the item.

since: 2.0.0

###### fu_msgpack_item_get_kind

Gets the item kind.

since: 2.0.0

###### fu_msgpack_item_get_map

Reads the number of items in the map.

since: 2.0.0

###### fu_msgpack_item_get_string

Reads a value from the item.

since: 2.0.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginMsgpackItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.